This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 4128 - I am unable to remove rpm
I am unable to remove rpm
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-20 16:22 EDT by Jaroslaw Sosnicki
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-21 12:50:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jaroslaw Sosnicki 1999-07-20 16:22:47 EDT
[root@www RPMS]# rpm -e rpm-3.0.3-0.2
error: removing these packages would break dependencies:
        rpm >= 2.5 is needed by kdesupport-1.1.1-2
[root@www RPMS]#
Comment 1 Jeff Johnson 1999-07-21 12:50:59 EDT
You probably don't want to remove rpm or you won't be able to use
rpm ever again.

You can downgrade to a different version of rpm if necessary
by adding --force to the command line, as in
	rpm -U --force older_rpm_package_here

Note You need to log in before you can comment on or make changes to this bug.